Subject: RE: [JAGNUTS] Re: Davidson

From: "Hobbs, John JU0" <[email-masked]>
Date: Fri, 4 Nov 2005 15:40:40 -0600

Thanks. Unfortunately, I don't have an owners name from the 50's, 60's or
70's.

-----Original Message-----
From: MGAdams [mailto:[email-masked]] 
Sent: Friday, November 04, 2005 2:34 PM
To: [email-masked]
Subject: Re: [JAGNUTS] Re: Davidson

I just went through all my competitor listings and results from 1959 to
1969, and only found a XK150S and XKE models for Jags. Doesn't mean the car
did not compete at some time in Davidson, but not likely in a race. Could
have been in a Gymkhana or other non-race event. I will try to review the
archives and watch for other events with Jags. Do you have a previous
owner(s) name to watch for. Might be on old membership lists with one of the
Sports Car Clubs.

Mike Adams

----- Original Message ----- 
From: "Hobbs, John JU0" <[email-masked]>
To: <[email-masked]>
Sent: Friday, November 04, 2005 2:02 PM
Subject: RE: [JAGNUTS] Re: Davidson

> Rumour has it that my car was raced in Davidson. It is a 1950 XK 120 
> roadster (Jaguar).
>
> Is there any way I could look into this?
>
> -----Original Message-----
> From: MGAdams [mailto:[email-masked]]
> Sent: Friday, November 04, 2005 6:59 AM
> To: [email-masked]
> Subject: [JAGNUTS] Re: Davidson
>
>
> Ron,
> By following the emails that Bob Burton forwarded to me, it appears 
> there
is
> some interest about the old racing days in Saskatchewan, including
Davidson.
> I was never fortunate enough to do any of my racing in Saskatchewan, 
> but
as
> a member of the Regina Sports Car Club, I have access to the archives, 
> and have collected a great deal of Saskatchewan Motorsport History. My 
> records show the first ever race on a road course was in Davidson in 
> 1957. That would make 2007 the 50th anniversary of road racing in 
> Sask. I have been
to
> the present Davidson track remains, and there is still one semi-active 
> runway in use by a crop duster. It could be tidied up and an autocross 
> or gymkhana could be held. Perhaps a collaboration of the current
Saskatchewan
> clubs could organize an event in Davidson. I am sure the community 
> would welcome a parade, car show type of event, with a low key fun 
> competitive event at the old track. Likely the Jagnuts, Regina Sports 
> Car Club, Saskatoon Sports Car Club, Queen City Motorsports 
> Association, and other clubs I don't know might find the idea 
> intriguing and offer their
services,
> and some manpower. Give it some thought and share with your membership 
> and see if there is much interest. I will do the same here with a few 
> of the clubs I know. More photos attached just for fun.
>
> Mike Adams
>
> [demime 1.01d removed an attachment of type image/jpeg which had a 
> name of chicane.JPG]
>
> [demime 1.01d removed an attachment of type image/jpeg which had a 
> name of grid.jpg]
>
> [demime 1.01d removed an attachment of type image/jpeg which had a 
> name of present chicane 2002.jpg]
>
> [demime 1.01d removed an attachment of type image/jpeg which had a 
> name of old crowd.JPG] _______________________________________________
> JAGNUTS Regina  -  mailing list
> REPLY TO : [email-masked] 
> http://nonprofits.accesscomm.ca/jagnuts/Jagnuts.htm
> _______________________________________________
> _______________________________________________
> JAGNUTS Regina  -  mailing list
> REPLY TO : [email-masked] 
> http://nonprofits.accesscomm.ca/jagnuts/Jagnuts.htm
> _______________________________________________
_______________________________________________
JAGNUTS Regina  -  mailing list 
REPLY TO : [email-masked]
http://nonprofits.accesscomm.ca/jagnuts/Jagnuts.htm
_______________________________________________